<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.port.mapper.PortEquRepairMapper">
    <resultMap type="com.ltgk.port.domain.entity.PortEquRepair" id="PortEquRepairResult">
        <result property="id" column="id"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="equId" column="equ_id"/>
        <result property="equCode" column="equ_code"/>
        <result property="equName" column="equ_name"/>
        <result property="addr" column="addr"/>
        <result property="damageReason" column="damage_reason"/>
        <result property="damageTime" column="damage_time"/>
        <result property="reportUserId" column="report_user_id"/>
        <result property="reportUserName" column="report_user_name"/>
        <result property="reportTime" column="report_time"/>
        <result property="repairUserId" column="repair_user_id"/>
        <result property="repairUserName" column="repair_user_name"/>
        <result property="repairTime" column="repair_time"/>
        <result property="repairSituation" column="repair_situation"/>
        <result property="repairProgress" column="repair_progress"/>
        <result property="repairResults" column="repair_results"/>
        <result property="confirmUserId" column="confirm_user_id"/>
        <result property="confirmUserName" column="confirm_user_name"/>
        <result property="confirmTime" column="confirm_time"/>
        <result property="repairState" column="repair_state"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>